Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-92925

configure message: no wayland-egl support detected

    XMLWordPrintable

    Details

    • Commits:
      e10894ed98a5c5df223fc82a108f7198a00079bf (qt/qtwayland/dev)

      Description

      I think it's erroneous since I have this package on Arch:

      extra/egl-wayland 1.1.6-1 (24.0 KiB 64.9 KiB) (Installed)
          EGLStream-based Wayland external platform
      
      $ cmake ../qt6 -DBUILD_WITH_PCH=OFF -DFEATURE_developer_build=ON -DQT_BUILD_TESTS=ON -DQT_BUILD_EXAMPLES=ON -DQT_USE_CCACHE=ON -DCMAKE_BUILD_TYPE=Debug -GNinja
      ...
      Qt Wayland Drivers:
        EGL .................................... yes
        Raspberry Pi ........................... no
        XComposite EGL ......................... yes
        XComposite GLX ......................... yes
        DRM EGL ................................ yes
        libhybris EGL .......................... no
        Linux dma-buf server buffer integration  yes
        Vulkan-based server buffer integration . yes
        Shm emulation server buffer integration  yes
      Qt Wayland Client Shell Integrations:
        xdg-shell .............................. yes
        wayland_client_xdg_shell_v5 ............ no
        wayland_client_xdg_shell_v6 ............ no
        ivi-shell .............................. yes
        wl-shell (deprecated) .................. yes
      Qt Wayland Client ........................ yes
      Qt Wayland Compositor .................... yes
      Qt Wayland Compositor Layer Plugins:
        VSP2 hardware layer integration ........ no
      Qt Wayland Drivers:
        EGL .................................... yes
        Raspberry Pi ........................... no
        XComposite EGL ......................... yes
        XComposite GLX ......................... yes
        DRM EGL ................................ yes
        libhybris EGL .......................... no
        Linux dma-buf server buffer integration  yes
        Vulkan-based server buffer integration . yes
        Shm emulation server buffer integration  yes
      Qt Wayland Client Shell Integrations:
        xdg-shell .............................. yes
        wayland_client_xdg_shell_v5 ............ no
        wayland_client_xdg_shell_v6 ............ no
        ivi-shell .............................. yes
        wl-shell (deprecated) .................. yes
      Qt Wayland Client ........................ yes
      Qt Wayland Compositor .................... yes
      Qt Wayland Compositor Layer Plugins:
        VSP2 hardware layer integration ........ no
      
      Note: Using pthreads
      Note: No wayland-egl support detected. Cross-toolkit compatibility disabled.
      Note: No wayland-egl support detected. Cross-toolkit compatibility disabled.
      

        Attachments

        1. typescript
          88 kB
          Shawn Rutledge
        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            esabraha Eskil Abrahamsen Blomfeldt
            Reporter:
            srutledg Shawn Rutledge
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes